CGAL 6.2 - 2D and 3D Linear Geometry Kernel: Kernel::CompareAngle_3 Concept Reference

CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::CompareAngle_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

## Operations
A model of this concept must provide:
Comparison_result | operator() (const K::Point_3 &a, const K::Point_3 &b, const K::Point_3 &c, const K::FT &cosine)
| compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) of the triangle \( (a, b, c)\) at the vertex `b`, and \( \theta_2\) is the angle in \( [0, \pi]\) such that \( cos(\theta_2) = cosine\).
Comparison_result | operator() (const K::Point_3 &a1, const K::Point_3 &b1, const K::Point_3 &c1, const K::Point_3 &a2, const K::Point_3 &b2, const K::Point_3 &c2)
| compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) of the triangle \( (a1, b1, c1)\) at the vertex `b1`, and \( \theta_2\) is the angle in \( [0, \pi]\) of the triangle \( (a2, b2, c2)\) at the vertex `b2`.
Comparison_result | operator() (const K::Point_3 &a1, const K::Point_3 &b1, const K::Point_3 &c1, const K::Point_3 &a2, const K::Point_3 &b2, const K::Point_3 &c2, const K::FT &cosine)
| compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) between the normals of the triangles \( (a1, b1, c1)\) and \( (a2, b2, c2)\), and \( \theta_2\) is the angle in \( [0, \pi]\) such that \( cos(\theta_2) = cosine\).
Comparison_result | operator() (const K::Vector_3 &u1, const K::Vector_3 &v1, const K::Vector_3 &u2, const K::Vector_3 &v2)
| compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) between the vectors \( u1\) and \( v1\), and \( \theta_2\) is the angle in \( [0, \pi]\) between the vectors \( u2\) and \( v2\).

## Member Function Documentation

## ◆ operator()() [1/4]

Comparison_result Kernel::CompareAngle_3::operator() | ( | const K::Point_3 & | a,
|  | const K::Point_3 & | b,
|  | const K::Point_3 & | c,
|  | const K::FT & | cosine
| ) |  |

compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) of the triangle \( (a, b, c)\) at the vertex `b`, and \( \theta_2\) is the angle in \( [0, \pi]\) such that \( cos(\theta_2) = cosine\).

Precondition
  `a!=b && c!=b`.

## ◆ operator()() [2/4]

Comparison_result Kernel::CompareAngle_3::operator() | ( | const K::Point_3 & | a1,
|  | const K::Point_3 & | b1,
|  | const K::Point_3 & | c1,
|  | const K::Point_3 & | a2,
|  | const K::Point_3 & | b2,
|  | const K::Point_3 & | c2
| ) |  |

compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) of the triangle \( (a1, b1, c1)\) at the vertex `b1`, and \( \theta_2\) is the angle in \( [0, \pi]\) of the triangle \( (a2, b2, c2)\) at the vertex `b2`.

Precondition
  `a1!=b1 && c1!=b1 && a2!=b2 && c2!=b2`.

## ◆ operator()() [3/4]

Comparison_result Kernel::CompareAngle_3::operator() | ( | const K::Point_3 & | a1,
|  | const K::Point_3 & | b1,
|  | const K::Point_3 & | c1,
|  | const K::Point_3 & | a2,
|  | const K::Point_3 & | b2,
|  | const K::Point_3 & | c2,
|  | const K::FT & | cosine
| ) |  |

compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) between the normals of the triangles \( (a1, b1, c1)\) and \( (a2, b2, c2)\), and \( \theta_2\) is the angle in \( [0, \pi]\) such that \( cos(\theta_2) = cosine\).

Precondition
  `a1!=b1 && c1!=b1` && `a2!=b2 && c2!=b2`.

## ◆ operator()() [4/4]

Comparison_result Kernel::CompareAngle_3::operator() | ( | const K::Vector_3 & | u1,
|  | const K::Vector_3 & | v1,
|  | const K::Vector_3 & | u2,
|  | const K::Vector_3 & | v2
| ) |  |

compares the angles \( \theta_1\) and \( \theta_2\), where \( \theta_1\) is the angle in \( [0, \pi]\) between the vectors \( u1\) and \( v1\), and \( \theta_2\) is the angle in \( [0, \pi]\) between the vectors \( u2\) and \( v2\).

Precondition
  none of the vectors have zero length.